Subject: Re: bug#74946: [PATCH] * lisp/files.el (auto-mode-alist): Include gdbinit too

From: Eli Zaretskii <[email-masked]>
Date: Thu, 19 Dec 2024 10:14:00 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 18 Dec 2024 20:00:37 -0500
> Cc: Eli Zaretskii <[email-masked]>, Andrea Corallo <[email-masked]>
> 
> > Please also include into Emacs 30 if possible.
> 
> If Eli and Andrea agrees, I think we could do it.

It looks innocent enough, but at this point I'd like to limit changes
on the release branch to only really urgent and important ones (or
documentation).  We have lived with this outdated code for several
years (GDB 11.1 was released in 2022), so this change doesn't look
urgent to me.

Btw, if we want to fix this entry, we should perhaps do a more
thorough job.  For example, on my system I have files with the
following base names:

  .gdbinit.in
  .gdbinit
  _gdbinit (for MS-DOS)
  gdb.ini (likewise)
  gdbinit
  gdbinit.in
  SOMETHING-gdbinit
  .gdbinit.loader
  gdbinit-history.exp (not a GDB init file)
  gdbinit.5 (likewise)
  gdbinit.c (likewise)
  .gdbinit.py.in (likewise)

Should we improve the regexp to DTRT for those additional files, but
without false positives?